org.apache.commons.math3.exception

## Class NumberIsTooSmallException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.MathIllegalNumberException
            - - org.apache.commons.math3.exception.NumberIsTooSmallException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

Direct Known Subclasses:
  NonPositiveDefiniteMatrixException, NotPositiveException, NotStrictlyPositiveException

    public class NumberIsTooSmallException
    extends MathIllegalNumberException

Exception to be thrown when a number is too small.

Since:
  2.2
Version:
  $Id: NumberIsTooSmallException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private boolean` `boundIsAllowed` Whether the maximum is included in the allowed range.
`private java.lang.Number` `min` Higher bound.
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`NumberIsTooSmallException(Localizable specific, java.lang.Number wrong, java.lang.Number min, boolean boundIsAllowed)` Construct the exception with a specific context.
`NumberIsTooSmallException(java.lang.Number wrong, java.lang.Number min, boolean boundIsAllowed)` Construct the exception.

### Method Summary

Methods
`boolean` `getBoundIsAllowed()`
`java.lang.Number` `getMin()`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

`getArgument`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

#### min

    private final java.lang.Number min

Higher bound.

#### boundIsAllowed

    private final boolean boundIsAllowed

Whether the maximum is included in the allowed range.

### Constructor Detail

#### NumberIsTooSmallException

    public NumberIsTooSmallException(java.lang.Number wrong,
                             java.lang.Number min,
                             boolean boundIsAllowed)

Construct the exception.

Parameters:
  `wrong` - Value that is smaller than the minimum.
  `min` - Minimum.
  `boundIsAllowed` - Whether `min` is included in the allowed range.

#### NumberIsTooSmallException

    public NumberIsTooSmallException(Localizable specific,
                             java.lang.Number wrong,
                             java.lang.Number min,
                             boolean boundIsAllowed)

Construct the exception with a specific context.

Parameters:
  `specific` - Specific context pattern.
  `wrong` - Value that is smaller than the minimum.
  `min` - Minimum.
  `boundIsAllowed` - Whether `min` is included in the allowed range.

### Method Detail

#### getBoundIsAllowed

    public boolean getBoundIsAllowed()

Returns:
  `true` if the minimum is included in the allowed range.

#### getMin

    public java.lang.Number getMin()

Returns:
  the minimum.